'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'IdeasButton', {
  enumerable: true,
  get: function () {
    return IdeasButton;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _Button = require('./Button.js');
const IdeasButton = _react.forwardRef((props, ref) => {
  let { feedbackLabel = 'Feedback', className, onClick, ...rest } = props;
  return _react.createElement(
    _Button.Button,
    {
      ref: ref,
      className: (0, _classnames.default)('iui-button-idea', className),
      'data-iui-variant': 'high-visibility',
      onClick: onClick,
      startIcon: _react.createElement(_index.SvgSmileyHappy, {
        'aria-hidden': true,
      }),
      ...rest,
    },
    feedbackLabel,
  );
});
if ('development' === process.env.NODE_ENV)
  IdeasButton.displayName = 'IdeasButton';
