'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'onExpandHandler', {
  enumerable: true,
  get: function () {
    return onExpandHandler;
  },
});
const onExpandHandler = (newState, instance, onExpand) => {
  if (!instance?.preFilteredFlatRows.length)
    return void onExpand?.([], newState);
  let expandedData = [];
  instance.preFilteredFlatRows.forEach((row) => {
    if (newState.expanded[row.id]) expandedData.push(row.original);
  });
  onExpand?.(expandedData, newState);
};
