'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'BaseFilter', {
  enumerable: true,
  get: function () {
    return BaseFilter;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../../utils/index.js');
const BaseFilter = _react.forwardRef((props, forwardedRef) =>
  _react.createElement(_index.Box, {
    as: 'form',
    ...props,
    ref: forwardedRef,
    className: (0, _classnames.default)(
      'iui-table-column-filter',
      props.className,
    ),
    onSubmit: (e) => {
      e.preventDefault();
      props.onSubmit?.(e);
    },
    onClick: (0, _index.mergeEventHandlers)(props.onClick, (e) => {
      e.stopPropagation();
    }),
  }),
);
