'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'TagContainer', {
  enumerable: true,
  get: function () {
    return TagContainer;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const TagContainer = _react.forwardRef((props, forwardedRef) => {
  let { className, children, overflow, background = 'none', ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)(
        'iui-tag-container',
        {
          [`iui-${overflow}`]: !!overflow,
          'iui-visible': 'none' !== background,
        },
        className,
      ),
      ref: forwardedRef,
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV)
  TagContainer.displayName = 'TagContainer';
