import * as React from 'react';
import { SelectTagContainer } from '../Select/SelectTagContainer.js';
export const ComboBoxMultipleContainer = React.forwardRef((props, ref) => {
  let { selectedItems = [], ...rest } = props;
  return React.createElement(SelectTagContainer, {
    ref: ref,
    tags: selectedItems,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV)
  ComboBoxMultipleContainer.displayName = 'ComboBoxMultipleContainer';
