import * as React from 'react';
import { Input } from '../Input/Input.js';
export const Textarea = React.forwardRef((props, forwardedRef) =>
  React.createElement(Input, {
    as: 'textarea',
    rows: 3,
    ref: forwardedRef,
    ...props,
  }),
);
if ('development' === process.env.NODE_ENV) Textarea.displayName = 'Textarea';
