/**
 * Container for Buttons in `Dialog`. Recommended to be used as a child of `Dialog`.
 * @example
 * <Dialog.ButtonBar>
 *   <Button styleType='high-visibility'>Confirm</Button>
 *   <Button>Close</Button>
 * </Dialog.ButtonBar>
 */
export declare const DialogButtonBar: import("../../utils/props.js").PolymorphicForwardRefComponent<"div", {}>;
