'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'InformationPanelContent', {
  enumerable: true,
  get: function () {
    return InformationPanelContent;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const InformationPanelContent = _react.forwardRef((props, forwardedRef) => {
  let { className, displayStyle = 'default', children, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)(
        'iui-information-body-content',
        {
          'iui-inline': 'inline' === displayStyle,
        },
        className,
      ),
      ref: forwardedRef,
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV)
  InformationPanelContent.displayName = 'InformationPanelContent';
