'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
function _export(target, all) {
  for (var name in all)
    Object.defineProperty(target, name, {
      enumerable: true,
      get: all[name],
    });
}
_export(exports, {
  LinkAction: function () {
    return LinkAction;
  },
  LinkBox: function () {
    return LinkBox;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _polymorphic = require('../../utils/functions/polymorphic.js');
const _index = require('../../utils/components/index.js');
const LinkAction = _react.forwardRef((props, forwardedRef) => {
  let { as: asProp = !!props.href ? 'a' : 'button' } = props;
  return _react.createElement(_index.Box, {
    ...props,
    as: asProp,
    className: (0, _classnames.default)('iui-link-action', props.className),
    ref: forwardedRef,
  });
});
if ('development' === process.env.NODE_ENV)
  LinkAction.displayName = 'LinkAction';
const LinkBox = _polymorphic.polymorphic.div('iui-link-box');
if ('development' === process.env.NODE_ENV) LinkBox.displayName = 'LinkBox';
