'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'SkipToContentLink', {
  enumerable: true,
  get: function () {
    return SkipToContentLink;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const SkipToContentLink = _react.forwardRef((props, ref) => {
  let { children = 'Skip to main content', className, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      as: 'a',
      ref: ref,
      className: (0, _classnames.default)(
        'iui-skip-to-content-link',
        className,
      ),
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV)
  SkipToContentLink.displayName = 'SkipToContentLink';
