import * as React from 'react';
import type { Cell, CellProps } from '../../react-table/react-table.js';
export type SubRowExpanderProps<T extends Record<string, unknown>> = {
    cell: Cell<T>;
    expanderCell?: (cellProps: CellProps<T>) => React.ReactNode;
    isDisabled: boolean;
    cellProps: CellProps<T>;
    density?: 'default' | 'condensed' | 'extra-condensed';
    [k: string]: unknown;
};
export declare const SubRowExpander: <T extends Record<string, unknown>>(props: SubRowExpanderProps<T>) => React.JSX.Element;
