import * as React from 'react';
import type { Cell, CellProps, TableInstance } from '../../react-table/react-table.js';
export type TableCellProps<T extends Record<string, unknown>> = {
    cell: Cell<T>;
    cellIndex: number;
    isDisabled: boolean;
    tableHasSubRows: boolean;
    tableInstance: TableInstance<T>;
    expanderCell?: (cellProps: CellProps<T>) => React.ReactNode;
    density?: 'default' | 'condensed' | 'extra-condensed';
};
export declare const TableCell: <T extends Record<string, unknown>>(props: TableCellProps<T>) => React.JSX.Element;
