'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
function _export(target, all) {
  for (var name in all)
    Object.defineProperty(target, name, {
      enumerable: true,
      get: all[name],
    });
}
_export(exports, {
  onTableResizeEnd: function () {
    return onTableResizeEnd;
  },
  onTableResizeStart: function () {
    return onTableResizeStart;
  },
});
const onTableResizeStart = (state) => ({
  ...state,
  isTableResizing: true,
});
const onTableResizeEnd = (state, action) => ({
  ...state,
  isTableResizing: false,
  columnResizing: {
    ...state.columnResizing,
    columnWidths: {
      ...action.columnWidths,
    },
  },
});
