import * as React from 'react';
import type { FilterButtonBarTranslation } from '../FilterButtonBar.js';
import type { TableFilterProps } from '../types.js';
export type NumberRangeTranslation = {
    from: string;
    to: string;
};
export type NumberRangeFilterProps<T extends Record<string, unknown>> = TableFilterProps<T> & {
    translatedLabels?: NumberRangeTranslation & FilterButtonBarTranslation;
};
export declare const NumberRangeFilter: <T extends Record<string, unknown>>(props: NumberRangeFilterProps<T>) => React.JSX.Element;
