import type { Row } from '../../../react-table/react-table.js';
import type { TableProps } from '../Table.js';
type ScrollToRow<T extends Record<string, unknown>> = {
    scrollToIndex: number | undefined;
    tableRowRef: (row: Row<T>) => (element: HTMLDivElement) => void;
};
type ScrollToRowProps<T extends Record<string, unknown>> = TableProps<T> & {
    page: Row<T>[];
};
export declare function useScrollToRow<T extends Record<string, unknown>>({ data, enableVirtualization, page, paginatorRenderer, scrollToRow, }: ScrollToRowProps<T>): ScrollToRow<T>;
export {};
