'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Blockquote', {
  enumerable: true,
  get: function () {
    return Blockquote;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const Blockquote = _react.forwardRef((props, ref) => {
  let { className, children, footer, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      as: 'blockquote',
      className: (0, _classnames.default)('iui-blockquote', className),
      ref: ref,
      ...rest,
    },
    children,
    footer && _react.createElement('footer', null, footer),
  );
});
if ('development' === process.env.NODE_ENV)
  Blockquote.displayName = 'Blockquote';
