import type { PolymorphicForwardRefComponent } from '../props.js';
export declare const ButtonBase: PolymorphicForwardRefComponent<"button", ButtonBaseProps>;
type ButtonBaseProps = {
    /**
     * Custom `disabled` prop that keeps the button focusable, prevents
     * clicks, applied disabled styling, and adds `aria-disabled`.
     */
    disabled?: boolean;
    /**
     * Built-in html `disabled` attribute
     */
    htmlDisabled?: boolean;
};
export {};
