import * as React from 'react';
export type FocusTrapProps = {
    /**
     * A single child element to trap focus in.
     */
    children: React.JSX.Element;
};
/**
 * Trap focus within child container.
 * Used for modals and dialogs.
 */
export declare const FocusTrap: (props: FocusTrapProps) => React.JSX.Element;
