'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'isUnitTest', {
  enumerable: true,
  get: function () {
    return isUnitTest;
  },
});
const isJest = 'undefined' != typeof jest;
const isCypress = void 0 !== globalThis.Cypress;
const isMocha =
  void 0 !== globalThis.beforeEach &&
  'function(name,fn){suites[0].beforeEach(name,fn);}' ===
    `${globalThis.beforeEach}`.replace(/\s/g, '') &&
  !isCypress;
const isVitest = void 0 !== globalThis.__vitest_index__;
const isUnitTest = isJest || isVitest || isMocha;
