'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'StatusIconMap', {
  enumerable: true,
  get: function () {
    return StatusIconMap;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _SvgInfoCircular = require('./SvgInfoCircular.js');
const _SvgStatusError = require('./SvgStatusError.js');
const _SvgStatusSuccess = require('./SvgStatusSuccess.js');
const _SvgStatusWarning = require('./SvgStatusWarning.js');
const StatusIconMap = {
  negative: (args) =>
    _react.createElement(_SvgStatusError.SvgStatusError, {
      'aria-hidden': true,
      ...args,
    }),
  positive: (args) =>
    _react.createElement(_SvgStatusSuccess.SvgStatusSuccess, {
      'aria-hidden': true,
      ...args,
    }),
  warning: (args) =>
    _react.createElement(_SvgStatusWarning.SvgStatusWarning, {
      'aria-hidden': true,
      ...args,
    }),
  informational: (args) =>
    _react.createElement(_SvgInfoCircular.SvgInfoCircular, {
      'aria-hidden': true,
      ...args,
    }),
};
