import * as React from 'react';
import type { ColorValue, HsvColor } from '../../utils/index.js';
export declare const ColorPickerContext: React.Context<{
    activeColor: ColorValue;
    setActiveColor: (color: ColorValue | ((prevColor: ColorValue) => ColorValue)) => void;
    hsvColor: HsvColor;
    onChangeComplete?: (color: ColorValue) => void;
    applyHsvColorChange: (newColor: HsvColor, selectionChanged: boolean, newColorValue?: ColorValue) => void;
    showAlpha: boolean;
} | undefined>;
export declare const useColorPickerContext: () => {
    activeColor: ColorValue;
    setActiveColor: (color: ColorValue | ((prevColor: ColorValue) => ColorValue)) => void;
    hsvColor: HsvColor;
    onChangeComplete?: (color: ColorValue) => void;
    applyHsvColorChange: (newColor: HsvColor, selectionChanged: boolean, newColorValue?: ColorValue) => void;
    showAlpha: boolean;
};
