import * as React from 'react';
import type { SliderProps, TrackDisplayMode } from './Slider.js';
export type TrackProps = {
    trackDisplayMode: TrackDisplayMode;
    sliderMin: number;
    sliderMax: number;
    values: number[];
    orientation: SliderProps['orientation'];
} & React.HTMLAttributes<HTMLDivElement>;
/**
 * Track displays color segments above Rail. Which, if any, segments that are
 * colorized is based on `trackDisplayMode`.
 */
export declare const Track: (props: TrackProps) => React.JSX.Element;
