import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
import type { StepperProps } from './Stepper.js';
type WorkflowDiagramProps = Pick<StepperProps, 'steps'> & {
    /**
     *  Allows props to be passed for diagram.
     */
    contentProps?: (index: number) => React.ComponentProps<'span'>;
    /**
     *  Allows props to be passed for diagram wrapper.
     */
    wrapperProps?: React.ComponentProps<'div'>;
};
export declare const WorkflowDiagram: PolymorphicForwardRefComponent<"ol", WorkflowDiagramProps>;
export {};
