export const onFilterHandler = (
  newState,
  action,
  previousState,
  currentFilter,
  instance,
) => {
  let previousFilter = previousState.filters.find(
    (f) => f.id === action.columnId,
  );
  if (previousFilter?.value != action.filterValue) {
    let filters = newState.filters.map((f) => {
      let column = instance?.allColumns.find((c) => c.id === f.id);
      return {
        id: f.id,
        value: f.value,
        fieldType: column?.fieldType ?? 'text',
        filterType: column?.filter ?? 'text',
      };
    });
    return filters;
  }
  return currentFilter;
};
