import * as React from 'react';
import type { FilterButtonBarTranslation } from '../FilterButtonBar.js';
import type { TableFilterProps } from '../types.js';
export type TextFilterProps<T extends Record<string, unknown>> = TableFilterProps<T> & {
    translatedLabels?: FilterButtonBarTranslation;
};
export declare const TextFilter: <T extends Record<string, unknown>>(props: TextFilterProps<T>) => React.JSX.Element;
