import type { IdType, Row } from '../../../react-table/react-table.js';
export declare const customFilterFunctions: {
    betweenDate: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: [Date?, Date?] | undefined): Row<T>[];
        /**
         * Filter is not being set if filter value is invalid.
         */
        autoRemove(val: [Date?, Date?] | undefined): boolean;
    };
};
