import * as React from 'react';
import { DateRangeFilter } from './DateRangeFilter/DateRangeFilter.js';
import { NumberRangeFilter } from './NumberRangeFilter/NumberRangeFilter.js';
import { TextFilter } from './TextFilter/TextFilter.js';
export const tableFilters = {
  TextFilter: (translatedLabels) => (props) =>
    React.createElement(TextFilter, {
      ...props,
      translatedLabels: translatedLabels,
    }),
  DateRangeFilter: (options) => (props) =>
    React.createElement(DateRangeFilter, {
      ...props,
      ...options,
    }),
  NumberRangeFilter: (translatedLabels) => (props) =>
    React.createElement(NumberRangeFilter, {
      ...props,
      translatedLabels: translatedLabels,
    }),
};
