import * as React from 'react';
import type { ColumnInstance, TableInstance } from '../../react-table/react-table.js';
export declare const getCellStyle: <T extends Record<string, unknown>>(column: ColumnInstance<T>, isTableResizing: boolean) => React.CSSProperties | undefined;
export declare const getStickyStyle: <T extends Record<string, unknown>>(column: ColumnInstance<T>, columnList: ColumnInstance<T>[]) => React.CSSProperties;
export declare const getSubRowStyle: ({ density, depth }: {
    density?: string | undefined;
    depth?: number | undefined;
}) => {
    paddingInlineStart: number;
};
export declare const TableInstanceContext: React.Context<TableInstance<Record<string, unknown>> | undefined>;
