import * as React from 'react';
export const TreeContext = React.createContext(void 0);
export const useTreeContext = () => {
  let context = React.useContext(TreeContext);
  if (void 0 == context)
    throw new Error('TreeContext must be used within a TreeContext.Provider');
  return context;
};
