import * as React from 'react';
/**
 * Hook that keeps track of the latest value in a ref.
 * @private
 * @example
 * const { value } = props;
 * const valueRef = useLatestRef(value);
 */
export declare const useLatestRef: <T>(value: T) => React.RefObject<T>;
