'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'CarouselDot', {
  enumerable: true,
  get: function () {
    return CarouselDot;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const CarouselDot = _react.forwardRef((props, ref) => {
  let { isActive, isSmaller, isSmall, className, ...rest } = props;
  return _react.createElement(_index.ButtonBase, {
    role: 'tab',
    tabIndex: isActive ? 0 : -1,
    className: (0, _classnames.default)(
      'iui-carousel-navigation-dot',
      {
        'iui-active': isActive,
        'iui-first': isSmaller,
        'iui-second': isSmall,
      },
      className,
    ),
    'aria-selected': isActive,
    ref: ref,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV)
  CarouselDot.displayName = 'Carousel.Dot';
