'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'ComboBoxEndIcon', {
  enumerable: true,
  get: function () {
    return ComboBoxEndIcon;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _Icon = require('../Icon/Icon.js');
const ComboBoxEndIcon = _react.forwardRef((props, forwardedRef) => {
  let { className, children, disabled, isOpen, ...rest } = props;
  return _react.createElement(
    _Icon.Icon,
    {
      as: 'span',
      ref: forwardedRef,
      className: (0, _classnames.default)(
        'iui-end-icon',
        {
          'iui-disabled': disabled,
          'iui-open': isOpen,
        },
        className,
      ),
      ...rest,
    },
    children ??
      _react.createElement(_index.SvgCaretDownSmall, {
        'aria-hidden': true,
      }),
  );
});
if ('development' === process.env.NODE_ENV)
  ComboBoxEndIcon.displayName = 'ComboBoxEndIcon';
