'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Divider', {
  enumerable: true,
  get: function () {
    return Divider;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _Box = require('../../utils/components/Box.js');
const Divider = _react.forwardRef((props, ref) => {
  let { className, orientation = 'horizontal', ...rest } = props;
  return _react.createElement(_Box.Box, {
    as: 'hr',
    className: (0, _classnames.default)('iui-divider', className),
    'aria-orientation': 'vertical' === orientation ? 'vertical' : void 0,
    ref: ref,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV) Divider.displayName = 'Divider';
