'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'LabeledTextarea', {
  enumerable: true,
  get: function () {
    return LabeledTextarea;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _LabeledInput = require('../LabeledInput/LabeledInput.js');
const LabeledTextarea = _react.forwardRef((props, forwardedRef) =>
  _react.createElement(_LabeledInput.LabeledInput, {
    as: 'textarea',
    rows: 3,
    ref: forwardedRef,
    ...props,
  }),
);
if ('development' === process.env.NODE_ENV)
  LabeledTextarea.displayName = 'LabeledTextarea';
