'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'List', {
  enumerable: true,
  get: function () {
    return List;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _react1 = require('@floating-ui/react');
const _Tooltip = require('../Tooltip/Tooltip.js');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const List = _react.forwardRef((props, ref) => {
  let { className, ...rest } = props;
  return _react.createElement(
    _react1.FloatingDelayGroup,
    {
      delay: _Tooltip.defaultTooltipDelay,
    },
    _react.createElement(_index.Box, {
      as: 'div',
      ref: ref,
      role: 'list',
      ...rest,
      className: (0, _classnames.default)('iui-list', className),
    }),
  );
});
if ('development' === process.env.NODE_ENV) List.displayName = 'List';
