'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'SidenavSubmenuHeader', {
  enumerable: true,
  get: function () {
    return SidenavSubmenuHeader;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const SidenavSubmenuHeader = _react.forwardRef((props, forwardedRef) => {
  let { children, actions, className, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)(
        'iui-side-navigation-submenu-header',
        className,
      ),
      ref: forwardedRef,
      ...rest,
    },
    _react.createElement(
      _index.Box,
      {
        className: 'iui-side-navigation-submenu-header-label',
      },
      children,
    ),
    actions &&
      _react.createElement(
        _index.Box,
        {
          className: 'iui-side-navigation-submenu-header-actions',
        },
        actions,
      ),
  );
});
if ('development' === process.env.NODE_ENV)
  SidenavSubmenuHeader.displayName = 'SidenavSubmenuHeader';
