'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'tableFilters', {
  enumerable: true,
  get: function () {
    return tableFilters;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _DateRangeFilter = require('./DateRangeFilter/DateRangeFilter.js');
const _NumberRangeFilter = require('./NumberRangeFilter/NumberRangeFilter.js');
const _TextFilter = require('./TextFilter/TextFilter.js');
const tableFilters = {
  TextFilter: (translatedLabels) => (props) =>
    _react.createElement(_TextFilter.TextFilter, {
      ...props,
      translatedLabels: translatedLabels,
    }),
  DateRangeFilter: (options) => (props) =>
    _react.createElement(_DateRangeFilter.DateRangeFilter, {
      ...props,
      ...options,
    }),
  NumberRangeFilter: (translatedLabels) => (props) =>
    _react.createElement(_NumberRangeFilter.NumberRangeFilter, {
      ...props,
      translatedLabels: translatedLabels,
    }),
};
