import * as React from 'react';
export const ColorPickerContext = React.createContext(void 0);
export const useColorPickerContext = () => {
  let context = React.useContext(ColorPickerContext);
  if (void 0 == context)
    throw new Error(
      'useColorPickerContext must be used within a ColorPickerContext.Provider',
    );
  return context;
};
