import cx from 'classnames';
import * as React from 'react';
import { ButtonBase } from '../../utils/index.js';
export const HeaderBasicButton = React.forwardRef((props, ref) => {
  let { className, children, startIcon, endIcon, styleType, size, ...rest } =
    props;
  return React.createElement(
    ButtonBase,
    {
      className: cx('iui-header-breadcrumb-button', className),
      ref: ref,
      ...rest,
    },
    startIcon,
    children,
    endIcon,
  );
});
