import * as React from 'react';
import { LabeledInput } from '../LabeledInput/LabeledInput.js';
export const LabeledTextarea = React.forwardRef((props, forwardedRef) =>
  React.createElement(LabeledInput, {
    as: 'textarea',
    rows: 3,
    ref: forwardedRef,
    ...props,
  }),
);
if ('development' === process.env.NODE_ENV)
  LabeledTextarea.displayName = 'LabeledTextarea';
