'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Backdrop', {
  enumerable: true,
  get: function () {
    return Backdrop;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const Backdrop = _react.forwardRef((props, ref) => {
  let { isVisible = true, className, ...rest } = props;
  return _react.createElement(_index.Box, {
    className: (0, _classnames.default)(
      'iui-backdrop',
      {
        'iui-backdrop-visible': isVisible,
      },
      className,
    ),
    ref: ref,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV) Backdrop.displayName = 'Backdrop';
