'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
function _export(target, all) {
  for (var name in all)
    Object.defineProperty(target, name, {
      enumerable: true,
      get: all[name],
    });
}
_export(exports, {
  ColorPickerContext: function () {
    return ColorPickerContext;
  },
  useColorPickerContext: function () {
    return useColorPickerContext;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const ColorPickerContext = _react.createContext(void 0);
const useColorPickerContext = () => {
  let context = _react.useContext(ColorPickerContext);
  if (void 0 == context)
    throw new Error(
      'useColorPickerContext must be used within a ColorPickerContext.Provider',
    );
  return context;
};
