'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'HeaderBasicButton', {
  enumerable: true,
  get: function () {
    return HeaderBasicButton;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const HeaderBasicButton = _react.forwardRef((props, ref) => {
  let { className, children, startIcon, endIcon, styleType, size, ...rest } =
    props;
  return _react.createElement(
    _index.ButtonBase,
    {
      className: (0, _classnames.default)(
        'iui-header-breadcrumb-button',
        className,
      ),
      ref: ref,
      ...rest,
    },
    startIcon,
    children,
    endIcon,
  );
});
