'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'SelectTag', {
  enumerable: true,
  get: function () {
    return SelectTag;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _Tag = require('../Tag/Tag.js');
const SelectTag = _react.forwardRef((props, forwardedRef) => {
  let { className, label, ...rest } = props;
  return _react.createElement(
    _Tag.Tag,
    {
      className: (0, _classnames.default)('iui-select-tag', className),
      labelProps: {
        className: 'iui-select-tag-label',
      },
      removeButtonProps: {
        className: 'iui-select-tag-button',
        'aria-label': `Deselect ${label}`,
      },
      ref: forwardedRef,
      ...rest,
    },
    label,
  );
});
