'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'SidenavSubmenu', {
  enumerable: true,
  get: function () {
    return SidenavSubmenu;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const SidenavSubmenu = _react.forwardRef((props, ref) => {
  let { children, className, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)(
        'iui-side-navigation-submenu',
        className,
      ),
      ref: ref,
      ...rest,
    },
    _react.createElement(
      _index.Box,
      {
        className: 'iui-side-navigation-submenu-content',
      },
      children,
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  SidenavSubmenu.displayName = 'SidenavSubmenu';
