import * as React from 'react';
import { type CommonProps } from '../../utils/index.js';
import type { StepperStepProps } from './StepperStep.js';
export type WorkflowDiagramStepProps = {
    /**
     *  Allows props to be passed for diagram content.
     */
    contentProps?: React.ComponentProps<'span'>;
} & Pick<StepperStepProps, 'title' | 'description'> & Omit<CommonProps, 'title'>;
export declare const WorkflowDiagramStep: (props: WorkflowDiagramStepProps) => React.JSX.Element;
