'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
function _export(target, all) {
  for (var name in all)
    Object.defineProperty(target, name, {
      enumerable: true,
      get: all[name],
    });
}
_export(exports, {
  TreeContext: function () {
    return TreeContext;
  },
  useTreeContext: function () {
    return useTreeContext;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const TreeContext = _react.createContext(void 0);
const useTreeContext = () => {
  let context = _react.useContext(TreeContext);
  if (void 0 == context)
    throw new Error('TreeContext must be used within a TreeContext.Provider');
  return context;
};
