'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'isBefore', {
  enumerable: true,
  get: function () {
    return isBefore;
  },
});
const isBefore = (beforeDate, afterDate) => {
  if (!beforeDate || !afterDate) return false;
  let firstDate = new Date(beforeDate);
  let secondDate = new Date(afterDate);
  firstDate && firstDate.setHours(0, 0, 0, 0);
  secondDate && secondDate.setHours(0, 0, 0, 0);
  return firstDate < secondDate;
};
