'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'useLatestRef', {
  enumerable: true,
  get: function () {
    return useLatestRef;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const useLatestRef = (value) => {
  let valueRef = _react.useRef(value);
  _react.useEffect(() => {
    valueRef.current = value;
  }, [value]);
  return valueRef;
};
