'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
function _export(target, all) {
  for (var name in all)
    Object.defineProperty(target, name, {
      enumerable: true,
      get: all[name],
    });
}
_export(exports, {
  mergeRefs: function () {
    return mergeRefs;
  },
  useMergedRefs: function () {
    return useMergedRefs;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const mergeRefs =
  (...refs) =>
  (instance) => {
    refs.forEach((ref) => {
      if ('function' == typeof ref) ref(instance);
      else if (ref) ref.current = instance;
    });
  };
const useMergedRefs = (...refs) =>
  _react.useCallback(mergeRefs(...refs), [...refs]);
