'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'useSafeContext', {
  enumerable: true,
  get: function () {
    return useSafeContext;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const useSafeContext = (context) => {
  let value = _react.useContext(context);
  if (!value)
    throw new Error(`${context.displayName || 'Context'} is undefined`);
  return value;
};
