import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type IdeasButtonProps = {
    /**
     * On click handler.
     */
    onClick?: () => void;
    /**
     * Localize 'Feedback' label if needed.
     * @default 'Feedback'
     */
    feedbackLabel?: string;
};
/**
 * Ideas button
 * @example
 * <IdeasButton />
 */
export declare const IdeasButton: PolymorphicForwardRefComponent<"button", IdeasButtonProps>;
export {};
