import type { PolymorphicForwardRefComponent } from '../../utils/props.js';
type DividerProps = {
    /**
     * Sets the orientation of the divider
     * @default 'horizontal'
     */
    orientation?: 'horizontal' | 'vertical';
};
/**
 * Shows a divider
 */
export declare const Divider: PolymorphicForwardRefComponent<"hr", DividerProps>;
export {};
