import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
/**
 * Subcomponent to be used in the `submenu` prop of `SideNavigation`.
 * @example
 * <SidenavSubmenu>
 *   <SidenavSubmenuHeader>Documents</SidenavSubmenuHeader>
 *   <div> ... </div>
 * </SidenavSubmenu>
 */
export declare const SidenavSubmenu: PolymorphicForwardRefComponent<"div">;
