import cx from 'classnames';
import * as React from 'react';
import { Box } from '../../utils/index.js';
export const SidenavSubmenu = React.forwardRef((props, ref) => {
  let { children, className, ...rest } = props;
  return React.createElement(
    Box,
    {
      className: cx('iui-side-navigation-submenu', className),
      ref: ref,
      ...rest,
    },
    React.createElement(
      Box,
      {
        className: 'iui-side-navigation-submenu-content',
      },
      children,
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  SidenavSubmenu.displayName = 'SidenavSubmenu';
