import { type PolymorphicForwardRefComponent } from '../../utils/index.js';
import type { HeaderGroup, TableKeyedProps } from '../../react-table/react-table.js';
type ColumnHeaderProps = TableKeyedProps & {
    column: HeaderGroup<Record<string, unknown>>;
    areFiltersSet: boolean;
    isResizable: boolean;
    columnResizeMode: 'fit' | 'expand';
    enableColumnReordering: boolean;
    density: string | undefined;
    columnHasExpanders: boolean;
    isLast: boolean;
    isTableEmpty: boolean;
};
export declare const ColumnHeader: PolymorphicForwardRefComponent<"div", ColumnHeaderProps>;
export {};
