export const onExpandHandler = (newState, instance, onExpand) => {
  if (!instance?.preFilteredFlatRows.length)
    return void onExpand?.([], newState);
  let expandedData = [];
  instance.preFilteredFlatRows.forEach((row) => {
    if (newState.expanded[row.id]) expandedData.push(row.original);
  });
  onExpand?.(expandedData, newState);
};
