import * as React from 'react';
import type { HeaderGroup } from '../../../react-table/react-table.js';
import type { CommonProps } from '../../../utils/index.js';
export type FilterToggleProps<T extends Record<string, unknown>> = {
    column: HeaderGroup<T>;
} & CommonProps;
/**
 * Handles showing filter icon and opening filter component.
 */
export declare const FilterToggle: <T extends Record<string, unknown>>(props: FilterToggleProps<T>) => React.JSX.Element;
