import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
export type TextareaProps = {
    /**
     * Status of textarea.
     */
    status?: 'positive' | 'warning' | 'negative';
};
/**
 * Basic textarea component
 * @example
 * <Textarea placeholder='This is a textarea' />
 * <Textarea disabled={true} placeholder='This is a disabled textarea' />
 */
export declare const Textarea: PolymorphicForwardRefComponent<"textarea", TextareaProps>;
